"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = require("react");
var useEventListener_1 = tslib_1.__importDefault(require("../useEventListener"));
function useMediaQuery(mediaQuery) {
    var _a = (0, react_1.useState)(false), isMatch = _a[0], setIsMatch = _a[1];
    var _b = (0, react_1.useState)(null), mediaQueryList = _b[0], setMediaQueryList = _b[1];
    (0, react_1.useEffect)(function () {
        var list = window.matchMedia(mediaQuery);
        setMediaQueryList(list);
        setIsMatch(list.matches);
    }, [mediaQuery]);
    (0, useEventListener_1.default)("change", function (e) { return setIsMatch(e.matches); }, mediaQueryList);
    return isMatch;
}
exports.default = useMediaQuery;
