"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = require("react");
var useEventListener_1 = tslib_1.__importDefault(require("../useEventListener"));
function useWindowSize() {
    var _a = (0, react_1.useState)({ width: window.innerWidth, height: window.innerHeight }), windowSize = _a[0], setWindowSize = _a[1];
    (0, useEventListener_1.default)("resize", function () {
        setWindowSize({ width: window.innerWidth, height: window.innerHeight });
    });
    return windowSize;
}
exports.default = useWindowSize;
