export type DebugInformationPropHook = {
    [key: string]: any;
};
export type DebugInformationHook = {
    count: number;
    changedProps: DebugInformationPropHook;
    timeSinceLastRender: number;
    lastRenderTimestamp: number;
};
export default function useDebugInformation(componentName: string, props: DebugInformationPropHook): DebugInformationHook;
