import { useState } from 'react';
import useEventListener from '../useEventListener';
function useScrollPosition(ref) {
    var _a = useState({ x: 0, y: 0 }), scrollPosition = _a[0], setScrollPosition = _a[1];
    var handleScroll = function () {
        if (ref && ref.current) {
            setScrollPosition({
                x: ref.current.scrollLeft,
                y: ref.current.scrollTop
            });
        }
        else {
            setScrollPosition({
                x: window.scrollX || document.documentElement.scrollLeft,
                y: window.scrollY || document.documentElement.scrollTop
            });
        }
    };
    useEventListener("scroll", handleScroll);
    return scrollPosition;
}
;
export default useScrollPosition;
